curl --request GET \
--url https://api.woopsocial.com/v1/posts/{postId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woopsocial.com/v1/posts/{postId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woopsocial.com/v1/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"autoDeleteMediaAfterPublish": true,
"socialAccountPosts": [
{
"platform": "PINTEREST",
"socialAccountPostId": "<string>",
"postId": "<string>",
"projectId": "<string>",
"socialAccountId": "<string>",
"deliveryStatus": "NOT_STARTED",
"content": [
{
"text": "<string>",
"media": [
{
"type": "MEDIA_LIBRARY",
"mediaId": "<string>",
"mediaType": "IMAGE",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
],
"schedule": {
"type": "DRAFT"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinterestBoardId": "<string>",
"deliveryCompletedAt": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"link": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"retryPolicy": {
"maxRetries": 3,
"delaySeconds": 43230
}
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}{
"code": "TOO_MANY_CONCURRENT_REQUESTS",
"message": "<string>"
}{
"code": "POST_NOT_FOUND",
"message": "<string>"
}Get post
Returns one post with its social account posts inline.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Post identifier.
Response
Post found.
Post identifier.
Project identifier that the selected social accounts belong to.
Post content expressed as thread items.
The array exists for future thread support. Currently exactly one item is returned.
1 elementShow child attributes
Show child attributes
When the post should be published.
- Draft
- Publish Now
- Schedule For Later
Show child attributes
Show child attributes
Whether media auto-delete-after-publish is enabled for this post.
Platform-specific post instances.
1- Pinterest
- Instagram
- Facebook
- Threads
- TikTok
- YouTube
- X
- LinkedIn
- LinkedIn Pages
- WoopTest
Show child attributes
Show child attributes
UTC time when the post was created.
UTC time when the post was last updated.
Automatically creates a scheduled retry post for each failed target. Successful targets are never copied. Known failures requiring user intervention, such as insufficient credits or disconnected accounts, are not automatically retried. If the platform published a post but its response was lost, retrying may produce a duplicate.
Show child attributes
Show child attributes
Was this page helpful?